WAPIsv2.0.2Withdrawals
Withdrawal History
Retrieve paginated withdrawal history with optional filters.
AuthorizationBearer <token>
OAuth2 access token obtained from POST /auth/tokens.
In: header
Query Parameters
page_size?integer
Default
15Range
1 <= value <= 100page?integer
Range
1 <= valueamount_min?number
Range
0 <= valueamount_max?number
Range
0 <= valuecurrency?string
reference?string
Format
uuidstatus?array<integer>
Filter by status codes. See Get Metadata for status code definitions.
transaction_id?string
Length
length <= 255with_deleted?boolean
Include soft-deleted records.
withdrawal_type?array<string>
See Get Metadata for acceptable values.
start_date?string
Format
dateend_date?string
Must be >= start_date.
Format
dateResponse Body
curl -X GET "https://tt.wipayfinancial.com/wapi/withdrawals?page_size=15&page=1&amount_min=0&amount_max=0¤cy=string&reference=497f6eca-6276-4993-bfeb-53cbbbba6f08&status=9&transaction_id=string&with_deleted=true&withdrawal_type=normal&start_date=2019-08-24&end_date=2019-08-24"{
"message": "string",
"data": {
"data": [
{
"amount": "string",
"bank_account_type": "chequing",
"bank_account": "string",
"bank_branch": "string",
"bank_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"currency": "string",
"deleted_at": "2019-08-24T14:15:22Z",
"email": "user@example.com",
"fee_amount": "string",
"id_number": "string",
"id_type": "driver_permit",
"name_in_bank": "string",
"phone": "string",
"recipient_name": "string",
"reference": "2ddb20b8-e0e3-45ae-a638-42610b990a6a",
"status_description": "string",
"status": 9,
"transaction_id": "string",
"updated_at": "2019-08-24T14:15:22Z",
"withdrawal_type": "normal"
}
],
"links": {
"first": "http://example.com",
"last": "http://example.com",
"prev": "http://example.com",
"next": "http://example.com"
},
"meta": {
"current_page": 0,
"from": 0,
"last_page": 0,
"path": "http://example.com",
"per_page": 0,
"to": 0,
"total": 0
}
}
}{
"message": "string"
}